$(document).ready(function () {
    //Custom ordering tables
    jQuery.fn.dataTableExt.oSort["customNumber-pre"] = function(num) {
        let splt = num.split('.')
        text = splt[2]+splt[1]+splt[0]
        return parseInt(text)
    }

    var dt = $("#dir_datatable").DataTable({
      "scrollX": true,
      "aoColumnDefs": [{
        "sType": "customNumber",
        "bSortable": true,
        "aTargets": [5]
      }, {
        "searchable": false,
        "targets": [0, 1]
      }]
    });

    $('#dir_datatable').DataTable().order([[5, 'pre'], [6, 'asc']]).draw();
    $('#dir_datatable').DataTable().column(6).visible(false);
    $('#dir_datatable').DataTable().column(0).visible(false);

});
